/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://github.com/google/apis-client-generator/
 * (build: 1969-12-31 23:59:59 UTC)
 * on 2021-02-24 at 00:14:02 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.mybusiness.v4.model;

/**
 * An action that is performed when the user clicks through the post
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google My Business API. For a detailed explanation
 * see:
 * <a href="https://developers.google.com/api-client-library/java/google-http-java-client/json">https://developers.google.com/api-client-library/java/google-http-java-client/json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class CallToAction extends com.google.api.client.json.GenericJson {

  /**
   * The type of action that will be performed.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String actionType;

  /**
   * The URL the user will be directed to upon clicking. This field should be left unset for Call
   * CTA.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String url;

  /**
   * The type of action that will be performed.
   * @return value or {@code null} for none
   */
  public java.lang.String getActionType() {
    return actionType;
  }

  /**
   * The type of action that will be performed.
   * @param actionType actionType or {@code null} for none
   */
  public CallToAction setActionType(java.lang.String actionType) {
    this.actionType = actionType;
    return this;
  }

  /**
   * The URL the user will be directed to upon clicking. This field should be left unset for Call
   * CTA.
   * @return value or {@code null} for none
   */
  public java.lang.String getUrl() {
    return url;
  }

  /**
   * The URL the user will be directed to upon clicking. This field should be left unset for Call
   * CTA.
   * @param url url or {@code null} for none
   */
  public CallToAction setUrl(java.lang.String url) {
    this.url = url;
    return this;
  }

  @Override
  public CallToAction set(String fieldName, Object value) {
    return (CallToAction) super.set(fieldName, value);
  }

  @Override
  public CallToAction clone() {
    return (CallToAction) super.clone();
  }

}
